QGIS Application - Bug report #12414
Cannot change Filter
2015-03-20 12:57 AM - Paul Mellon

Status: Closed

Priority: Severe/Regression

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 20586
Description

Adding new MSSQL layer, setting a filter, all OK.
After adding, cannot alter the filter. Also show object count gives [0].
This used to work fine in 2.2, but 2.6 and 2.8 it no longer works.

History

#1 - 2015-03-22 03:18 AM - Giovanni Manghi
- Target version set to Version 2.10
- Priority changed from Normal to Severe/Regression

#2 - 2015-03-22 07:09 AM - Jiirgen Fischer

- Target version changed from Version 2.10 to Future Release - High Priority
#3 - 2015-03-23 04:26 AM - Giovanni Manghi

- Subject changed from MS SQL Layer cannot change Filter to Cannot change Filter
- Category changed from Data Provider/MSSQL to Vectors

- Affected QGIS version changed from 2.8.1 to master

- Operating System deleted (Windows 7 64-bit, MS SQL Server 2012)

| have just hit the same problem, but with a PostGIS layer.

It happened on a project made with an old version of ggis (probably 2.2).
When trying to remove the filter | get

An error occurred when executing the query.

The data provider said:

no result buffer

no result buffer

#4 - 2015-06-04 09:26 AM - Alessandro Pasotti

Cannot reproduce in current master. Tested with postgis on a new project.

| think we need a test project and a step-by-step procedure to reproduce.

#5 - 2015-06-05 12:01 PM - Giovanni Manghi
- Resolution set to fixed/implemented

- Status changed from Open to Closed

it seems to work fine on qgis master, please reopen if necessary.
